// 633_COMMAND_LINE_TEST.cpp
// Ultra-simple 633 command-line communications example

#include "stdafx.h"
#include "typedefs.h"
#include "serial.h"
#include "633_packet.h"
#include "show_packet.h"
//============================================================================
int main(int argc, char* argv[])
  {
	printf("Ultra-simple 633 command-line communications example.\n");
	printf("Crystalfotnz America, Inc. http://www.crystalfontz.com\n\n");

	if(Serial_Init(0 /* COM 1 */,4 /* 19200 */))
    printf("Could not open COM1.\n");
  else
    printf("COM1 open at 19200 baud.\n\n");
  
  //Send line 1 to the 633.
  char
    line1[16]={'>','T','h','i','s',' ','i','s',' ','l','i','n','e',' ','1','<'};
  outgoing_response.command=7;
	memcpy(outgoing_response.data,line1,16);
  outgoing_response.data_length=16;
	send_packet();

  //Send line 2 to the 633.
  char
    line2[16]={'>','T','h','i','s',' ','i','s',' ','l','i','n','e',' ','2','<'};
  outgoing_response.command=8;
	memcpy(outgoing_response.data,line2,16);
  outgoing_response.data_length=16;
	send_packet();

  printf("Updated display, now waiting for packets. Press a key on the PC to exit.\n\n");
 
  while(!kbhit())
    {
    Sleep(100);  // 1/10 second
    if(check_for_packet())
      ShowReceivedPacket();
    }

  while(kbhit())
    getch();

  printf("Done.\n\n");
  Uninit_Serial();
	return 0;
  }
//============================================================================
